{% extends "dashboard/base.html" %}
{% load i18n %}
{% load bootstrap %}
{% load static %}
{% load bootstrap_pagination %}
{% load general_tags %}
{% block stylesheet %}
<link rel="stylesheet" type="text/css" href="{% static 'css/plugins/sweetalert/sweetalert.css' %}">
{% endblock stylesheet %}

{% block breadcrumb %}

<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-10">
        <h2>{% trans "Jornadas" %}</h2>
        <ol class="breadcrumb">
            <li>
                <a href="{% url 'dashboard' %}">{% trans "Dashboard" %}</a>
            </li>
            <li>
                <a href="{% url 'teacher_list' %}">{% trans "Docentes" %}</a>
            </li>
            <li class="active">
                <strong>{% trans "Jornadas" %}</strong>
            </li>

        </ol>
    </div>
    <div class="col-lg-2">

    </div>
</div>

{% endblock breadcrumb %}

{% block content %}

<div class="row">
    <div class="col-md-12">
        <div class="ibox float-e-margins">
            <div class="ibox-content">
            <div class="row">
                <div class="col-md-10">
                    <h2>{% trans "Jornada"%}</h2>
                </div>
                <div class="col-md-2">
                    <a href="" data-toggle="modal" data-target="#edit_shift_modal" class="btn btn-primary btn-lg pull-right" id="shift_add"><span class="glyphicon glyphicon-plus"></span> {% trans "Agregar" %}</a>
                </div>
            </div>

            <div class="input-group">
                <input type="text" placeholder="{% trans 'Buscar Jornada' %}" class="input form-control">
                <span class="input-group-btn">
                        <button type="button" class="btn btn btn-info"> 
                        <i class="fa fa-search"></i> Buscar</button>
                </span>
            </div>


            {% if messages %}
                {% for message in messages %}
                    <div {% if message.tags %} class="alert alert-{{ message.tags }} alert-dismissable" {% endif %}>
                        <button aria-hidden="true" data-dismiss="alert" class="close" type="button">×</button>
                        {{ message }}
                    </div>
                {% endfor %}
            {% endif %}
            <div class="clients-list">
            <div class="tab-content">                    
                <div class="full-height-scroll">
                    <div class="table-responsive">
                        <table class="table table-striped table-hover">
                            <thead>
                                <tr>                                         
                                    <th>{% trans "Jornada"%}</th>
                                    <th>{% trans "Acciones" %}</th>
                                </tr>
                            </thead>
                            <tbody>
                            {% for shift in object_list %}
                            <tr>
                                <td ><a href="" class="client-link">{{shift}}</a></td> 
                                <td class="col-md-3 project-actions " style="text-align:left">
                                    <button type="button" class="btn btn-info btn-sm update_shift" data-toggle="modal" data-target="#edit_shift_modal" data-shiftname="{{shift}}" data-shift  ="{{shift.pk}}"><i class="fa fa-info-circle"></i> {% trans "Editar" %}</button>
                                    <a class="delete btn btn-danger btn-sm" href="{% url 'shift_delete' shift.pk %}" data-shiftname="{{shift}}"><i class="fa fa-trash"></i> {% trans "Borrar" %} </a> 
                                </td>
                            </tr>
                            {% endfor %}
                            
                           
                            </tbody>
                        </table>

                    </div><!-- end table responsive -->
                    <div class="pull-right">
                        {% bootstrap_paginate object_list range=10 show_prev_next="false" show_first_last="true" %}
                    </div>  
                </div>
            </div><!-- tab-content -->
            </div><!-- cliuents list -->

        </div><!-- ibox content -->
    </div>
</div>


<div class="modal inmodal fade" id="edit_shift_modal" tabindex="-1" role="dialog"  aria-hidden="true">
    <div class="modal-dialog modal-sm">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                <h4 class="modal-title">{% trans 'Editar' %}</h4>
            </div>
            <form action="" id="formulario" method="post" enctype="multipart/form-data">
                {% csrf_token %}
                <div class="modal-body">
                    <label>{% trans 'Jornada:' %}</label> <input type="text" class="form-control" id="shift_update_name" name="shiftname">
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-white" data-dismiss="modal">{% trans 'Cerrar' %}</button>
                    <input id="btn_add" type="submit" class="btn btn-primary pull-right" value="{% trans 'Actualizar'%}"></div>
            </form>    
        </div>
    </div>
</div>


{% endblock content %}

{% block javascript %}

<script src="{% static 'js/plugins/dataTables/datatables.min.js' %}"></script>
<script src="{% static 'js/plugins/sweetalert/sweetalert.min.js' %}"></script>

<!-- Page-Level Scripts -->
<script>
    $(document).ready(function(){

        $('.update_shift').click(function (event){
            event.preventDefault();         
            $('#btn_add').val('{% trans "Actualizar" %}');
            $('.modal-title').html('{% trans "Editar" %}'); 
            $('#shift_update_name').val($(this).data('shiftname'));
            var url = "{% url 'shift_update' 123 %}"            
            $('#formulario').attr('action',url.replace('123',$(this).data('shift')));
        }); 

        $('#shift_add').click(function (event){
            event.preventDefault();   
            $('#shift_update_name').val('');
            $('#formulario').attr('action',"{% url 'shift_add'%}");
            $('.modal-title').html('{% trans "Agregar" %}');
            $('#btn_add').val('{% trans "Agregar" %}');
        }); 
        $('#edit_shift_modal').on('shown.bs.modal', function() {    
            $('#shift_update_name').focus();
        })


        $('.delete').click(function (event){
            event.preventDefault();         
            var url_delete = $(this).attr('href');
            swal({
                title: "¿Está seguro que desea eliminar la Jornada " + $(this).data('shiftname') + "?",
                text: "No podrá volver atrás",
                type: "warning",
                showCancelButton: true,
                confirmButtonColor: "#DD6B55",
                confirmButtonText: "Sí, deseo eliminarla",
                closeOnConfirm: false
            }, function () {
                swal("Eliminada!", "Jornada eliminada.", "success");
                window.location.href = url_delete;
            });
        });
    });

</script>

{% endblock javascript %}